local L = Capitalist.Locale

function Capitalist:Debug(...)
	local format, a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u, v, w, x, y, z = ...;

	self:Print(string.format("DBG "..format, a, b, c, d, e, f, g, h, i, j, k, l, m, n, o, p, q, r, s, t, u, v, w, x, y, z))
end

function Capitalist:DebugEntry(...)
	local fn = ...;

	if (self.db and self.db.profile.debug.TraceFunctions) then
		Capitalist:Debug(">"..fn)
	end
end

function Capitalist:DebugExit(...)
	local fn, ret = ...;

	if (self.db and self.db.profile.debug.TraceFunctions) then
		Capitalist:Debug("<"..fn)
	end

	return ret
end

function Capitalist:DebugMisc(...)
	local v = ...;

	if (self.db and self.db.profile.debug.TraceMisc) then
		Capitalist:Debug("%s", tostring(v))
	end
end
